<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

require_once('path.inc.php');
require_once(CDB_PATH_ADMIN.'/checkphp.inc.php');
require_once(CDB_PATH_ADMIN.'/checkuser.inc.php');
checkuser('firstrun');
require_once(CDB_PATH_ADMIN.'/locale.inc.php');
$locale = new LocalizingClass('firstrun');

include(CDB_PATH_ADMIN.'/archive.inc.php');
$a = new unArchive(CDB_PATH_ADMIN.'/data-default.cdba');
$a->extract(CDB_PATH_DATA);

if ($a->error == '') {
	header('Location: firstrun3.php?'.SID.csrf_protection_get());
	die();
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1><?php locale('title') ?></h1>
<h2><?php locale('title_unzip') ?></h2>
<p class="error">
	<?php locale('desc_unzip-error') ?><br />
	<?php echo $a->error; ?>
</p>


</body>
</html>
