<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db') || !defined('CDB_PATH_ROOT')) die('Something\'s missing. (friendlyerror.firstrun.inc.php)');

if (!isset($_GET['locale']) or $_GET['locale'] == '') {
	$langcode = 'en';
} else {
	$langcode = $_GET['locale'];
}

include(CDB_PATH_ADMIN.'/locale.inc.php');
$locale = new LocalizingClass('firstrun', $langcode);

$fe_title = 'cms -db';
$fe_subtitle = locale('title_installation',true);
$fe_content = '
		<p>
			'.locale('desc_installation',true).'
		</p>
		<p>
			<a href="./admin/login.php?locale='.$langcode.'">'.locale('link_installation',true).'</a>
		<p>
			<form action="index.php" method="get" style="position: absolute; top: 0px; right: 0px; padding: .2em">
				<select name="locale" size="1" onchange="document.forms[0].submit()">';
if ($handle = opendir(CDB_PATH_ADMIN.'/locales')) {
	while (false !== ($file = readdir($handle))) {
		if(is_file(CDB_PATH_ADMIN.'/locales/'.$file.'/info.php')) {
			include(CDB_PATH_ADMIN.'/locales/'.$file.'/info.php');
			if ($file == $langcode) {
				$fe_content .= '<option value="'.$file.'" selected="selected">'.$locale_info["name"].'</option>';
			} else {
				$fe_content .= '<option value="'.$file.'">'.$locale_info["name"].'</option>';
			}
		}
	}
	closedir($handle);
}
$fe_content .= '
				</select>
				<input type="submit" value="OK" />
			</form>
		</p>';

include(CDB_PATH_ADMIN.'/friendlyerror.inc.php');
?>
