<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

// allow the original script to set the root path itself
// (for performance reasons, used in main /index.php)
if (!defined('CDB_PATH_ROOT')) {
	// get the original path of this file, with symlinks if there are ...

	// path of the main script, may contain symlinks
	$path_main = dirname($_SERVER['SCRIPT_FILENAME']);
	// path of the main script, realpath without symlinks
	$path_main_real = realpath(dirname($_SERVER['SCRIPT_FILENAME']));
	// path of the included script, realpath without symlinks (by PHP)
	$path_included_real = dirname(__FILE__);

	// path of the included script relative to the main script
	$path_included_relative = substr($path_main_real, strlen($path_included_real));
	// absolute path of included file (the original one with symlinks)
	$path_included = substr($path_main, 0, strlen($path_main)-strlen($path_included_relative));

	// IMPORTANT: THIS LINE MUST BE CHANGED IF THIS FILE IS MOVED
	// currently this script resides in /admin, thus we have to go up once
	define('CDB_PATH_ROOT', dirname($path_included));

	// clear now useless variables
	unset($path_main, $path_main_real, $path_included_real, $path_included_relative, $path_included);
}

// define additional paths for convenience reasons
define('CDB_PATH_ADMIN', CDB_PATH_ROOT.'/admin');
define('CDB_PATH_DATA', CDB_PATH_ROOT.'/data');

?>